/*
 * dip.c
 *
 * Created: 06.04.2017 19:37:29
 *  Author: karpe
 */ 
#include "dip.h"


void DIP_init ()
{
	DIP_SW1_DDR &= ~(1 << DIP_SW1_P);
	DIP_SW2_DDR &= ~(1 << DIP_SW2_P);
	DIP_SW3_DDR &= ~(1 << DIP_SW3_P);
	DIP_SW4_DDR &= ~(1 << DIP_SW4_P);
	DIP_SW5_DDR &= ~(1 << DIP_SW5_P);
	DIP_SW6_DDR &= ~(1 << DIP_SW6_P);
	DIP_SW7_DDR &= ~(1 << DIP_SW7_P);
	DIP_SW8_DDR &= ~(1 << DIP_SW8_P);
	DIP_SW9_DDR &= ~(1 << DIP_SW9_P);
	DIP_SW10_DDR &= ~(1 << DIP_SW10_P);
}

unsigned int DIP_get ()
{	
	return (
		((!(DIP_SW1_PIN & (1 << DIP_SW1_P))) << 0) |
		((!(DIP_SW2_PIN & (1 << DIP_SW2_P))) << 1) |
		((!(DIP_SW3_PIN & (1 << DIP_SW3_P))) << 2) |
		((!(DIP_SW4_PIN & (1 << DIP_SW4_P))) << 3) |
		((!(DIP_SW5_PIN & (1 << DIP_SW5_P))) << 4) |
		((!(DIP_SW6_PIN & (1 << DIP_SW6_P))) << 5) |
		((!(DIP_SW7_PIN & (1 << DIP_SW7_P))) << 6) |
		((!(DIP_SW8_PIN & (1 << DIP_SW8_P))) << 7) |
		((!(DIP_SW9_PIN & (1 << DIP_SW9_P))) << 8) |
		((!(DIP_SW10_PIN & (1 << DIP_SW10_P))) << 9)
	);
}